apiVersion: v1
kind: Service
metadata:
  name: db-service2
  labels:
    app: DB
spec:
  type: ClusterIP
  selector:
    app: MYSQL
  ports:
    - targetPort: 3307
      port: 3307

---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: db-deployment2
  labels:
    app: DB
spec:
  replicas: 1
  selector:
    matchLabels:
      app: MYSQL
  template:
    metadata:
      labels:
        app: MYSQL
    spec:
      containers:
      - name: db-container
        image: petreocty1998/octav_rep:dbster
        ports:
        - containerPort: 3307
        args: ["--default-authentication-plugin=mysql_native_password"]
        env:
          - name: MYSQL_DATABASE
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_DATABASE
          - name: MYSQL_USER
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_USER
          - name: MYSQL_PASSWORD
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_PASSWORD
          - name: MYSQL_ROOT_PASSWORD
            valueFrom:
              configMapKeyRef:
               name: db-configmap
               key: MYSQL_ROOT_PASSWORD
        volumeMounts:
        - name: mysql-storage
          mountPath: /azure
      volumes:
      - name: mysql-storage
        azureFile:
          secretName: azure-db-secret
          shareName: dboctav
          readOnly: false
